Newest Version of Omnisphere/Keyscape in Legit Pro Tools (macOS)?

Discussion in 'Mac / Hackintosh' started by DaFungusAmongus, Apr 21, 2022.

  1. DaFungusAmongus

    DaFungusAmongus Member

    Joined:
    Mar 12, 2021
    Messages:
    14
    Likes Received:
    9
    I'm hoping someone already knows the answer to this question, so I can avoid the painful installation/patching until finding the correct versions.
     
  2.  
  3. clone

    clone Audiosexual

    Joined:
    Feb 5, 2021
    Messages:
    2,064
    Likes Received:
    844
    Do any of them work "patched" in legit Protools versions as AAX? I do not use it. I use legit OS in legit Logic, so I can't really help other than pointing out the possibility of what you are trying to accomplish is not going to happen, with any release you are thinking of using.
     
  4. DaFungusAmongus

    DaFungusAmongus Member

    Joined:
    Mar 12, 2021
    Messages:
    14
    Likes Received:
    9
    [​IMG]
    2.6.3 is working fine. The patch only happens in the VST/Component

    [​IMG]
     
    Last edited: Apr 21, 2022
  5. r4e

    r4e Audiosexual

    Joined:
    Sep 6, 2014
    Messages:
    749
    Likes Received:
    1,019
    Ye, Spectrasonics uses a linker/loader for its aax plugins. You only have to patch the VST and that loader then loads the patched VST plugin while the loader itself stays untouched & signed. That way you can use all Spectrasonics products cracked in legit Pro Tools.
     
  6. DaFungusAmongus

    DaFungusAmongus Member

    Joined:
    Mar 12, 2021
    Messages:
    14
    Likes Received:
    9
    The past couple updates for both Omni & Keyscape from sister-site keep telling me "Not Valid AAX".
    I couldn't remember which versions I last had that worked.
     
  7. clone

    clone Audiosexual

    Joined:
    Feb 5, 2021
    Messages:
    2,064
    Likes Received:
    844
    You probably need to have the VST installed and code signed correctly.
     
Loading...
Loading...